
/**************************************************************************
**  (c) Copyright 2002, Andromeda Technology & Automation
** This is free software; you can redistribute it and/or modify it under the
** terms of the GNU General Public License, see the file COPYING.
***************************************************************************
** MODULE INFORMATION *
***********************
**      FILE NAME      : gnucomo_config.cpp
**      SYSTEM NAME    : Gnucomo - Gnu Computer Monitoring
**      VERSION NUMBER : $Revision: 1.3 $
**
**  DESCRIPTION      :  Implementation of the gnucomo_config class.
**
**  EXPORTED OBJECTS : 
**  LOCAL    OBJECTS : 
**  MODULES  USED    :
***************************************************************************
**  ADMINISTRATIVE INFORMATION *
********************************
**      ORIGINAL AUTHOR : Arjen Baart - arjen@andromeda.nl
**      CREATION DATE   : Jul 24, 2002
**      LAST UPDATE     : Nov 02, 2002
**      MODIFICATIONS   : 
**************************************************************************/

/*****************************
   $Log: gnucomo_config.cpp,v $
   Revision 1.3  2002/11/09 08:04:27  arjen
   Added a reference to the GPL

   Revision 1.2  2002/11/04 10:13:36  arjen
   Use proper namespace for iostream classes

   Revision 1.1  2002/10/05 10:25:49  arjen
   Creation of gcm_input and a first approach to a web interface

*****************************/

static const char *RCSID = "$Id: gnucomo_config.cpp,v 1.3 2002/11/09 08:04:27 arjen Exp $";

#include "gnucomo_config.h"



/*=========================================================================
**  NAME           : Database
**  SYNOPSIS       : String gnucomo_config::Database()
**  PARAMETERS     : 
**  RETURN VALUE   : The database access string
**
**  DESCRIPTION    : 
**
**  VARS USED      :
**  VARS CHANGED   :
**  FUNCTIONS USED :
**  SEE ALSO       :
**  LAST MODIFIED  : Nov 02, 2002
**=========================================================================
*/

String gnucomo_config::Database()
{
   String param;
   String access_string("");

   param = find_parameter("database", "name");
   if (param != "")
   {
      access_string += "dbname=" + param;
   }

   param = find_parameter("database", "user");
   if (param != "")
   {
      access_string += " user=" + param;
   }
   param = find_parameter("database", "password");
   if (param != "")
   {
      access_string += " password=" + param;
   }

   param = find_parameter("database", "host");
   if (param != "")
   {
      access_string += " host=" + param;
   }
   param = find_parameter("database", "port");
   if (param != "")
   {
      access_string += " port=" + param;
   }
   return access_string;
}
